> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Configurations

> List all configurations for a specific account.

Args:
    account_id: Account ID to fetch configurations for.
    category: Optional category filter.



## OpenAPI

````yaml get /api/v1/admin/configuration/account
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/configuration/account:
    get:
      tags:
        - admin
        - admin
      summary: Get Account Configurations
      description: |-
        List all configurations for a specific account.

        Args:
            account_id: Account ID to fetch configurations for.
            category: Optional category filter.
      operationId: get_account_configurations_api_v1_admin_configuration_account_get
      parameters:
        - name: account_id
          in: query
          required: true
          schema:
            type: string
            title: Account Id
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````